Bug 76763

Summary: Move WebGL texture compression methods to WebGLRenderingContext
Product: WebKit Reporter: Gregg Tavares <gman>
Component: WebGLAssignee: Gregg Tavares <gman>
Status: RESOLVED FIXED    
Severity: Normal CC: abarth, kbr, ojan, webkit.review.bot
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: All   
OS: All   
Attachments:
Description Flags
Patch
none
Patch for landing none

Description Gregg Tavares 2012-01-20 18:30:15 PST
We implemented the experimental WebGL compression code.

I'll move the methods into WebGLRenderingContext but leave the extension for now.

Another bug will remove the extension and replace it with the new format specific extensions
Comment 1 Gregg Tavares 2012-01-21 01:57:14 PST
Created attachment 123442 [details]
Patch
Comment 2 Kenneth Russell 2012-01-23 11:43:10 PST
Comment on attachment 123442 [details]
Patch

Thanks for handling this; looks great. It looks like the scripts got confused and failed to generate LayoutTests/ChangeLog, but I'll fix that up. r=me
Comment 3 Kenneth Russell 2012-01-23 11:50:52 PST
Created attachment 123591 [details]
Patch for landing
Comment 4 WebKit Review Bot 2012-01-23 20:17:00 PST
Comment on attachment 123591 [details]
Patch for landing

Rejecting attachment 123591 [details] from commit-queue.

Failed to run "['/mnt/git/webkit-commit-queue/Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '-..." exit_code: 1

ERROR: /mnt/git/webkit-commit-queue/LayoutTests/ChangeLog neither lists a valid reviewer nor contains the string "Unreviewed" or "Rubber stamp" (case insensitive).

Full output: http://queues.webkit.org/results/11335229
Comment 5 Kenneth Russell 2012-01-23 22:27:21 PST
Darn it. Resubmitting to commit queue.
Comment 6 WebKit Review Bot 2012-01-24 01:21:23 PST
Comment on attachment 123591 [details]
Patch for landing

Clearing flags on attachment: 123591

Committed r105706: <http://trac.webkit.org/changeset/105706>
Comment 7 WebKit Review Bot 2012-01-24 01:21:28 PST
All reviewed patches have been landed.  Closing bug.